Linux s17.hosterpk.com 6.12.0-124.55.3.el10_1.x86_64 #1 SMP PREEMPT_DYNAMIC Thu May 7 16:54:02 EDT 2026 x86_64
LiteSpeed
Server IP : 192.169.89.90 & Your IP : 216.73.217.173
Domains :
Cant Read [ /etc/named.conf ]
User : hamzalar
Terminal
Auto Root
Create File
Create Folder
Localroot Suggester
Backdoor Destroyer
Readme
/
lib /
node_modules_22 /
npm /
bin /
Delete
Unzip
Name
Size
Permission
Date
Action
node-gyp-bin
[ DIR ]
drwxr-xr-x
2026-05-11 17:54
npm
2.02
KB
-rwxr-xr-x
2026-03-24 04:05
npm-cli.js
53
B
-rwxr-xr-x
2026-03-30 00:00
npm-prefix.js
833
B
-rwxr-xr-x
2026-03-30 00:00
npm.cmd
538
B
-rw-r--r--
2026-03-24 04:05
npm.ps1
1.61
KB
-rw-r--r--
2026-03-24 04:05
npx
2.02
KB
-rwxr-xr-x
2026-03-24 04:05
npx-cli.js
2.85
KB
-rwxr-xr-x
2026-03-30 00:00
npx.cmd
538
B
-rw-r--r--
2026-03-24 04:05
npx.ps1
1.61
KB
-rw-r--r--
2026-03-24 04:05
Save
Rename
#!/usr/bin/bash # This is used by the Node.js installer, which expects the cygwin/mingw # shell script to already be present in the npm dependency folder. (set -o igncr) 2>/dev/null && set -o igncr; # cygwin encoding fix basedir=`dirname "$0"` case `uname` in *CYGWIN*) basedir=`cygpath -w "$basedir"`;; esac if [ `uname` = 'Linux' ] && type wslpath &>/dev/null ; then IS_WSL="true" fi function no_node_dir { # if this didn't work, then everything else below will fail echo "Could not determine Node.js install directory" >&2 exit 1 } NODE_EXE="$basedir/node.exe" if ! [ -x "$NODE_EXE" ]; then NODE_EXE="$basedir/node" fi if ! [ -x "$NODE_EXE" ]; then NODE_EXE=node fi # this path is passed to node.exe, so it needs to match whatever # kind of paths Node.js thinks it's using, typically win32 paths. CLI_BASEDIR="$("$NODE_EXE" -p 'require("path").dirname(process.execPath)' 2> /dev/null)" if [ $? -ne 0 ]; then # this fails under WSL 1 so add an additional message. we also suppress stderr above # because the actual error raised is not helpful. in WSL 1 node.exe cannot handle # output redirection properly. See https://github.com/microsoft/WSL/issues/2370 if [ "$IS_WSL" == "true" ]; then echo "WSL 1 is not supported. Please upgrade to WSL 2 or above." >&2 fi no_node_dir fi NPM_PREFIX_JS="$CLI_BASEDIR/node_modules/npm/bin/npm-prefix.js" NPM_CLI_JS="$CLI_BASEDIR/node_modules/npm/bin/npm-cli.js" NPM_PREFIX=`"$NODE_EXE" "$NPM_PREFIX_JS"` if [ $? -ne 0 ]; then no_node_dir fi NPM_PREFIX_NPM_CLI_JS="$NPM_PREFIX/node_modules/npm/bin/npm-cli.js" # a path that will fail -f test on any posix bash NPM_WSL_PATH="/.." # WSL can run Windows binaries, so we have to give it the win32 path # however, WSL bash tests against posix paths, so we need to construct that # to know if npm is installed globally. if [ "$IS_WSL" == "true" ]; then NPM_WSL_PATH=`wslpath "$NPM_PREFIX_NPM_CLI_JS"` fi if [ -f "$NPM_PREFIX_NPM_CLI_JS" ] || [ -f "$NPM_WSL_PATH" ]; then NPM_CLI_JS="$NPM_PREFIX_NPM_CLI_JS" fi "$NODE_EXE" "$NPM_CLI_JS" "$@"